
Project Sections - Bug #2252

Cannot delete Project Section

10 Oct 2013 13:49 - Martin Corino

Status: Closed Start date: 10 Oct 2013

Priority: Normal Due date: 31 May 2014

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.2   

Redmine version: 2.3.3 External issue:  

Description

Working with SVN trunk version.

Deleting a project section triggered an exception.

This turned out to be due to the fact that the before_filter :find_parent_section in project_sections_controller.rb was not defined for

the 'destroy’ action.

I changed the definition as follows:

before_filter :find_parent_section, :only => [ :edit, :update, :destroy ]

and now it works.

Associated revisions

Revision 18 - 31 May 2014 22:44 - Andriy Lesyuk

Renamed CSS file, applied community patches (#2252, #2253, #2275 and #2279)

History

#1 - 15 Dec 2013 08:48 - Minh Thien

Thanks.

I also edit code and it works

#2 - 23 May 2014 22:38 - Andriy Lesyuk

- Status changed from New to Under Verification

- Assignee set to Andriy Lesyuk

Martin, thanks!

#3 - 31 May 2014 20:04 - Andriy Lesyuk

- Target version set to 0.0.2

#4 - 31 May 2014 21:46 - Andriy Lesyuk

- Due date set to 31 May 2014

- Status changed from Under Verification to Closed

- % Done changed from 0 to 100
